document.addEventListener('DOMContentLoaded', function() {
  const heartContainer = document.getElementById('heartContainer');

  function createHeart() {
    const heart = document.createElement('div');
    heart.classList.add('heart');
    heart.textContent = '💚'; // Heart emoji
    heart.style.left = Math.random() * 100 + 'vw';
    heart.style.fontSize = Math.random() * 20 + 10 + 'px';
    heart.style.animationDuration = Math.random() * 2 + 3 + 's'; // Random duration between 3 to 5 seconds
    heartContainer.appendChild(heart);

    // Remove heart after it falls down
    heart.addEventListener('animationend', function() {
      heart.remove();
    });
  }

  // Create new heart every 300 milliseconds
  setInterval(createHeart, 300);
});
